package com.tiangua.star.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 客户跟进中间表
 *
 * @author zhangyy
 * @date 2025.03.20 14:14
 */
@Data
public class CustomerFollowup implements Serializable {

    @ApiModelProperty(value = "主键ID")
    private Integer id;

    @ApiModelProperty(value = "产品商务Id")
    private Integer productBizId;

    @ApiModelProperty("组织id")
    private String busiId;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "掩码手机号")
    private String maskPhone;

    @ApiModelProperty(value = "手机MD5")
    private String phoneMd5;

    @ApiModelProperty(value = "时间")
    private Date followTime;

    @ApiModelProperty(value = "星级（可能为小数）")
    private BigDecimal starLevel;

    @ApiModelProperty(value = "跟进状态")
    private String followStatus;

    @ApiModelProperty(value = "跟进备注")
    private String followRemark;

    @ApiModelProperty(value = "来源: 1-(新鹿-h5页面); 2-庆余; 3-其他; 4-excel")
    private Integer sourceType;

    @ApiModelProperty(value = "orderId")
    private Integer orderId;

    private Long userId;

}
